Bug 108574 - CAN-2003-0857 Netlink local DoS: iptables
Summary: CAN-2003-0857 Netlink local DoS: iptables
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: iptables (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-30 10:26 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 16:32:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2003-10-30 10:26:47 UTC
Herbert Xu discovered that a number of netlink applications do not
check the source address of incoming packets, assuming they are coming
from the kernel.  As any local user can send unicast netlink messages
to any process on the system, this can lead to a local denial of
service attack, or other local attacks.

iptables in RHEL3 and RHEL2.1 is affected 

                ipq_read - used for userspace to deal with packets from netfilter
                ipulog_read - used for userspace logging of packets

Currently embargoed.

Comment 1 Mark J. Cox 2003-11-24 16:32:53 UTC
We don't ship iptables-devel and nothing shipped with iptables uses
the vulnerable routines.  Therefore no errata required.


Note You need to log in before you can comment on or make changes to this bug.